## cong-util

cong-util —

## Synopsis

    GnomeVFSResult cong_vfs_new_buffer_from_file
                                                (const char *filename,
                                                 char **buffer,
                                                 GnomeVFSFileSize *size);
    GnomeVFSResult cong_vfs_new_buffer_from_uri (GnomeVFSURI *vfs_uri,
                                                 char **buffer,
                                                 GnomeVFSFileSize *size);
    gboolean    cong_util_is_docbook            (CongDocument *doc);
    gboolean    cong_util_is_pure_whitespace    (const gchar *utf8_text);
    gchar*      cong_util_cleanup_text          (const xmlChar *text);
    gchar*      cong_utils_get_norman_walsh_stylesheet_path
                                                (void);
    gchar*      cong_utils_get_norman_walsh_stylesheet
                                                (const gchar *stylesheet_relative_path);
    GdkPixbuf*  cong_util_load_icon             (const gchar *icon_basename);
    void        cong_util_append                (gchar **string,
                                                 const gchar *to_add);
    void        cong_util_prepend               (gchar **string,
                                                 const gchar *to_add);
    void        cong_util_print_xslfo           (GtkWindow *toplevel_window,
                                                 GnomePrintContext *gpc,
                                                 xmlDocPtr xml_doc);
    #define     CONG_GET_VAR_STR                (msg, str)
    xmlDtdPtr   cong_util_make_dtd              (xmlDocPtr xml_doc,
                                                 const xmlChar *root_element,
                                                 const xmlChar *ExternalID,
                                                 const xmlChar *SystemID);
    xmlDtdPtr   cong_util_add_external_dtd      (xmlDocPtr xml_doc,
                                                 const xmlChar *root_element,
                                                 const xmlChar *ExternalID,
                                                 const xmlChar *SystemID);
    void        cong_util_draw_blended_line     (GtkWidget *w,
                                                 const GdkColor *col,
                                                 int x0,
                                                 int y0,
                                                 int x1);

## Description

## Details

### cong_vfs_new_buffer_from_file ()

    GnomeVFSResult cong_vfs_new_buffer_from_file
                                                (const char *filename,
                                                 char **buffer,
                                                 GnomeVFSFileSize *size);

TODO: Write me

`filename` : |
`buffer` : |
`size` : |
Returns : |

### cong_vfs_new_buffer_from_uri ()

    GnomeVFSResult cong_vfs_new_buffer_from_uri (GnomeVFSURI *vfs_uri,
                                                 char **buffer,
                                                 GnomeVFSFileSize *size);

TODO: Write me

`vfs_uri` : |
`buffer` : |
`size` : |
Returns : |

### cong_util_is_docbook ()

    gboolean    cong_util_is_docbook            (CongDocument *doc);

TODO: Write me

`doc` : |
Returns : |

### cong_util_is_pure_whitespace ()

    gboolean    cong_util_is_pure_whitespace    (const gchar *utf8_text);

TODO: Write me

`utf8_text` : |
Returns : |

### cong_util_cleanup_text ()

    gchar*      cong_util_cleanup_text          (const xmlChar *text);

TODO: Write me

`text` : |
Returns : |

### cong_utils_get_norman_walsh_stylesheet_path ()

    gchar*      cong_utils_get_norman_walsh_stylesheet_path
                                                (void);

TODO: Write me

Returns : |

### cong_utils_get_norman_walsh_stylesheet ()

    gchar*      cong_utils_get_norman_walsh_stylesheet
                                                (const gchar *stylesheet_relative_path);

TODO: Write me

`stylesheet_relative_path` : |
Returns : |

### cong_util_load_icon ()

    GdkPixbuf*  cong_util_load_icon             (const gchar *icon_basename);

TODO: Write me

`icon_basename` : |
Returns : |

### cong_util_append ()

    void        cong_util_append                (gchar **string,
                                                 const gchar *to_add);

TODO: Write me

`string` : |
`to_add` : |

### cong_util_prepend ()

    void        cong_util_prepend               (gchar **string,
                                                 const gchar *to_add);

TODO: Write me

`string` : |
`to_add` : |

### cong_util_print_xslfo ()

    void        cong_util_print_xslfo           (GtkWindow *toplevel_window,
                                                 GnomePrintContext *gpc,
                                                 xmlDocPtr xml_doc);

TODO: Write me

`toplevel_window` : |
`gpc` : |
`xml_doc` : |

### CONG_GET_VAR_STR()

    #define     CONG_GET_VAR_STR(msg, str)

`msg` : |
`str` : |

### cong_util_make_dtd ()

    xmlDtdPtr   cong_util_make_dtd              (xmlDocPtr xml_doc,
                                                 const xmlChar *root_element,
                                                 const xmlChar *ExternalID,
                                                 const xmlChar *SystemID);

TODO: Write me

`xml_doc` : |
`root_element` : |
`ExternalID` : |
`SystemID` : |
Returns : |

### cong_util_add_external_dtd ()

    xmlDtdPtr   cong_util_add_external_dtd      (xmlDocPtr xml_doc,
                                                 const xmlChar *root_element,
                                                 const xmlChar *ExternalID,
                                                 const xmlChar *SystemID);

TODO: Write me

`xml_doc` : |
`root_element` : |
`ExternalID` : |
`SystemID` : |
Returns : |

### cong_util_draw_blended_line ()

    void        cong_util_draw_blended_line     (GtkWidget *w,
                                                 const GdkColor *col,
                                                 int x0,
                                                 int y0,
                                                 int x1);

TODO: Write me

`w` : |
`col` : |
`x0` : |
`y0` : |
`x1` : |